Subject: Re: bug#18198: Gnus fails to read ~/.newsrc with group names which are not symbols

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 10:55:53 +0000

>>>>> Eric Abrahamsen <[email-masked]> writes:
>>>>> Ivan Shmakov <[email-masked]> writes:

[…]

 >> I didn’t.  The person who brought this issue to IRC has apparently
 >> used something like (nnimap "imap.gmail.com") for
 >> gnus-select-method.

 >> Though indeed, I know of no reason /not/ to set
 >> gnus-save-newsrc-file to nil in this case.

 > This was discussed on the gnus.general list, and I produced a fix for
 > it (at least, I'm 95% sure it's the same issue),

	It isn’t, – the one #18198 is about is that Gnus fails to read
	~/.newsrc it produces back; the one you suggest a patch for is
	about the (mis)use of ‘read’ in the Gnus IMAP implementation.

 > and then apparently never sent the patch to the list, despite having
 > thought I did.  Attaching the patch here.

	I believe that the information regarding (possible) bugs –
	including patches – should be sent to the BTS /first./

	This way, it’s easier to add late follow-ups, /and/ it still
	ends up in a mailing list (the bug-gnu-emacs@ one, that is.)

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A